Subject: [bug#74542] [PATCH 06/11] guix build: Add ‘--dependents’.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 28 Nov 2024 11:57:38 +0100

Hi,

Simon Tournier <[email-masked]> skribis:

>> +@item --dependents[=@var{depth}]
>> +@itemx -T [@var{depth}]
>
> Cosmetic: argh, ’-M’ is already taken under “guix build”! Because it
> would be nice to have something similar as with “guix graph
> --max-depth”.  Yes, both depths does not have the same meaning but
> that’s still a ’max depth’ for both cases. ;-)
>
> Well…
>
>> +The list of dependents is computed in the same way as with @command{guix
>> +refresh --list-dependent} (@pxref{Invoking guix refresh}).
>
> … “guix refresh” already uses ’-T’ but for another meaning
> (--list-transitive).  Therefore, I think something other than ’-T’
> should be better.  Maybe ’-D’ since it cannot conflict with “guix
> shell”..

The previous patch adds ‘-D’ with the same meaning as in ‘guix shell’ so
it’s not available either.

I looked for other options and found ‘-P’, which is unused in ‘guix
build’ and ‘guix refresh’; it’s an alias for ‘--link-profile’ in ‘guix
shell’, an option that wouldn’t make sense in ‘guix build’.

Thoughts?

Ludo’.